%define old_name pcmcia-cs

Summary: PCMCIA CIS overrides
Name: pcmcia-cis-firmware
Version: 3.2.8
Release: %mkrel 2
Source0: http://pcmcia-cs.sourceforge.net/ftp/%{old_name}-%{version}.tar.bz2
License: GPL
Group: System/Kernel and hardware
Url: http://pcmcia-cs.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch


%description
This package contains PCMCIA "CIS" files (sort of "firmware"
overrides), needed for some PCMCIA cards to work properly.

%prep
%setup -q -n %{old_name}-%{version}

%build

%install
rm -rf %{buildroot}
install -d -m0755 %{buildroot}/lib/firmware
pushd etc/cis
for f in *.dat; do
  install -m0644 $f %{buildroot}/lib/firmware/${f%.dat}.cis
done
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/lib/firmware/*.cis


%changelog
* Tue Jul 30 2019 tex - 3.2.8-2pclos2019
- rebuild against updates

* Sat Aug 13 2011 Texstar <texstar at gmail.com> 3.2.8-1pclos2011
- update
